import _defineProperty from "@babel/runtime/helpers/defineProperty";
import makeStyles from "clever-react/ui/styles/makeStyles";
var getClasses = makeStyles(function (_ref) {
  var _root;

  var breakpoints = _ref.breakpoints;
  return {
    "@global": {
      ":root": (_root = {}, _defineProperty(_root, breakpoints.up("md"), {
        "--layout-bar-width": "300px"
      }), _defineProperty(_root, breakpoints.up("lg"), {
        "--layout-bar-width": "350px"
      }), _defineProperty(_root, breakpoints.up("xl"), {
        "--layout-bar-width": "450px"
      }), _root)
    },
    root: _defineProperty({}, breakpoints.up("md"), {
      display: "flex",
      position: "relative",
      height: "100vh",
      overflow: "hidden"
    })
  };
});
export default getClasses;